package com.kym.entity.awoara.request;

import com.kym.entity.awoara.Method;
import lombok.Builder;
import lombok.Data;


/**
 * 石斑鱼主板API请求参数
 */
@Builder
@Data
public class AwoaraRequest<T> {
    private final String version = "2.0";
    private String method;
    private T params;

    public void setMethod(Method method) {
        if (method == null) {
            throw new IllegalArgumentException("Method cannot be null");
        }
        this.method = method.name();
    }
}
